package org.zen.xhtml.editor.preferencePage;

/**
 * @author Zenil
 * @version 1.0
 */
/*
 * Interface to define all constants related to the preferences of this package.
 */
public interface IPreferenceConstants {
	public static final String VRULER_PREFERENCE = "vrules";
	public static final String HRULER_PREFERENCE = "hrules";
	
	public static final String INDENT_PREFERENCE = "indentSpaces";
	public static final String COMMENT_COLOR_PREFERENCE = "commentColor";
	public static final String ERROR_COLOR_PREFERENCE = "errorColor";
	public static final String VALID_COLOR_PREFERENCE = "validColor";
	public static final String FONT_PREFERENCE = "font";
	public static final String BROWSER_PREFERENCE = "webBrowser";
	
	public static final String EXEMPT_TAGS_PREFERENCE = "exemptTags";
	public static final String ERRORS_PREFERENCE = "errors";

	public static final String ERRORS_PREFERENCE2 = "errors2";
	public static final String EXEMPT_TAGS_PREFERENCE2 = "exemptTags2";

	public static final String NO_ERRORS = "fieldEditors.noError";
	public static final String ERROR_FOR_MISSING_CLOSING_TAG = "fieldEditors.errorForMissingClosingTag";

	public static final String EXEMPT_TAGS_DEFAULT = "<P>;<BR>;<IMG>;";
}