package org.zen.xhtml.editor;

/**
 * @author Zenil
 * @version 1.0
 */
public interface IXHTMLEditorConstants {

	public static final String PLUGIN_ID = "org.zen.xhtml.editor"; //$NON-NLS-1$
	public static final String PREFIX = PLUGIN_ID + "."; //$NON-NLS-2$
	
	public final static String CONTENT_TYPE_HTML_COMMENT = "__html_comment";//$NON-NLS-2$
	public final static String CONTENT_TYPE_HTML_TAG = "__html_tag";//$NON-NLS-1$
	public final static String CONTENT_TYPE_HTML_PI = "__html_pi";//$NON-NLS-1$

	/**
	 * Name of group for code assistance actions (
	 * value <code>"group.assist"</code>).
	 */	
	public static final String GROUP_ASSIST=	"group.assist"; //$NON-NLS-1$
	
	/*
	 * Action ID's
	 */
	public static final String ACTION_HTML_INFO=	"ShowHTMLInfo"; //$NON-NLS-1$
	public static final String ACTION_CONTENT_ASSIST_PROPOSAL = "ContentAssistProposal";//$NON-NLS-1$
	public static final String ACTION_CONTENT_ASSIST_TIP = "ContentAssistTip"; //$NON-NLS-1$
	
}
