package org.zen.xhtml.editor.scanner;

import org.eclipse.jface.text.rules.IWordDetector;

/**
 * A HTML aware word detector.
 * 
 * @author Zenil
 * @version 1.0 
 */
public class XHTMLWordDetector implements IWordDetector {

	/* (non-Javadoc)
	 * Method declared on IWordDetector.
	 */
	public boolean isWordPart(char character) {
		return Character.isJavaIdentifierPart(character);
	}
	
	/* (non-Javadoc)
	 * Method declared on IWordDetector.
	 */
	public boolean isWordStart(char character) {
		return Character.isJavaIdentifierStart(character);
	}
}
